/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: Version.java 1270 2006-12-19 10:58:34Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.server;

/**
 * Sets the EasyBeans version.
 * @author Florent Benoit
 */
public final class Version {

    /**
     * Version.
     */
    public static final String VERSION = "1.0M5";

    /**
     * No public constructor. (utility class)
     */
    private Version() {

    }

    /**
     * Display the current EasyBeans version.
     * @param args the given arguments
     */
    public static void main(final String[] args) {
       System.out.println("Version is : " + VERSION);

    }

}
